  /*
Implementation Skeleton v3 - 12/6/18
Add styles to overwrite customer CSS, USE WITH CAUTION.
*/

/* Adding this rule to remove dependency on .bg-highlight on the .card element */
.card-icons div.row > div:nth-of-type(odd) .card {
    background-color: var(--hilite-color) !important;
}

/*
Adding this rule to override the generic ul:not([class])>li::before rule that adds a symbol to unclassed ul>li.
I want bulleted lists inside div.list-styled element to not have the default ::before bullets w/o needing to add a class.
*/
.list-styled ul > li::before { content: '' !important; }

/*
Adding these rules to align .divider-gold heading element to center/right based on text-align.
The width of the element w/ .divider-gold is not full-width, so text-alignment doesn't work for short text.
These rules align the element itself via margin auto, so that short text adhere to the text-align rules.
*/
.divider-gold[style*='text-align: center'] {
	margin-left: auto;
	margin-right: auto;
}

.divider-gold[style*='text-align: right'] {
	margin-left: auto;
}

/* Accordion icon fix */
.accordion-header .chevron-right::before {
	min-width: 3rem;
}

.sidenav-accordion .accordion-body a::before {
	min-width: 25px;
}

/* Masonry Card Update CSS */
.card-masonry-lg {
    margin-bottom: 0;
}
 
.card-masonry-sm {
    margin-bottom: 0;
    flex: 1;
}
 
.card-masonry-sm .row,
.card-masonry-sm .card-body {
    height: 100%;
}
 
.card.card-masonry-sm .card-body {
    padding: 15px 12px 15px 0;
}

.card.card-masonry-sm .card-title {
	overflow: hidden;
	text-overflow: ellipsis;
	/* current cross-browser method */
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2;
	/* future-proof: unprefixed version from the spec */
	line-clamp: 2;
}

@media screen and (max-width: 992px) {
    .card.card-masonry-sm:first-of-type {
        margin-top: 24px;
    }
}

/* ticket 258155 */
.card-banner-interior {
	padding-top: 40px;
	padding-bottom: 60px;
}

.card-banner-interior h2 {
	margin: 50px auto;
	margin-top: 0;
}

.card-banner-interior .link-box:hover, 
.card-banner-interior .link-box:focus {
	transform: scale(1.05);
}

.card-banner-interior .link-box {
	padding: 50px 30px;
	height: 100%;
	font-size: 1.75rem;
}

/* end ticket 258155 */